#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.32.1
visibility:           public
id:                   hledger-lib-1.32.1-BeVQJ1gFoJ8eQTV6PBWW0
key:                  hledger-lib-1.32.1-BeVQJ1gFoJ8eQTV6PBWW0
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:             A library providing the core functionality of hledger
description:
    This library contains hledger'\''s core functionality.
    It is used by most hledger* packages so that they support the same
    command line options, file formats, reports, etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting.

    See also:

    - https://hledger.org - hledger'\''s home page

    - https://hledger.org/dev.html - starting point for hledger'\''s developer docs

    - https://hackage.haskell.org/package/hledger-lib/docs/Hledger.html - starting point for hledger'\''s haddock docs

category:             Finance
abi:                  45c82a1d40dda6dd28b1fb82414e0ef3
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Balancing Hledger.Data.Dates
    Hledger.Data.Errors Hledger.Data.Journal Hledger.Data.JournalChecks
    Hledger.Data.JournalChecks.Ordereddates
    Hledger.Data.JournalChecks.Uniqueleafnames Hledger.Data.Json
    Hledger.Data.Ledger Hledger.Data.Period
    Hledger.Data.PeriodicTransaction Hledger.Data.Posting
    Hledger.Data.RawOptions Hledger.Data.StringFormat
    Hledger.Data.Timeclock Hledger.Data.Transaction
    Hledger.Data.TransactionModifier Hledger.Data.Types
    Hledger.Data.Valuation Hledger.Query Hledger.Read
    Hledger.Read.Common Hledger.Read.CsvReader Hledger.Read.CsvUtils
    Hledger.Read.InputOptions Hledger.Read.JournalReader
    Hledger.Read.RulesReader Hledger.Read.TimeclockReader
    Hledger.Read.TimedotReader Hledger.Reports
    Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Utils Hledger.Utils.Debug
    Hledger.Utils.IO Hledger.Utils.Parse Hledger.Utils.Regex
    Hledger.Utils.String Hledger.Utils.Test Hledger.Utils.Text
    Text.Tabular.AsciiWide

hidden-modules:
    Text.Megaparsec.Custom Text.WideString Paths_hledger_lib

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hledger-lib-1.32.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hledger-lib-1.32.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hledger-lib
hs-libraries:         HShledger-lib-1.32.1-BeVQJ1gFoJ8eQTV6PBWW0
depends:
    Decimal-0.5.2-JtdXWf9c1fiHjWz0uQrBot
    Glob-0.10.2-2e6LoRignBm1Tf7tpLxL4a
    aeson-2.1.2.1-C2lvYQBBKZqBmgtqDyQIib
    aeson-pretty-0.8.9-JeHGLIwvrP38s23qsGHi9J
    ansi-terminal-0.11.4-941itkoMzqP2HjyJtSkjHb array-0.5.4.0
    base-4.15.1.0 base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu
    blaze-markup-0.8.3.0-5yodtnkqORU3aR0cYRRNtl bytestring-0.10.12.1
    call-stack-0.4.0-AWZIvDgVjrSE2X5Lpd2ZLj
    cassava-0.5.3.0-21E6IramGPt9RX3ff0Au8U
    cassava-megaparsec-2.1.0-CK1xW9dVA5073V5YP8khrg
    cmdargs-0.10.22-LMGehiIpWZC4X4EZqKH5Yu
    colour-2.3.6-98es2b5kCfjL9kQ9aHpXxT containers-0.6.4.1
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv deepseq-1.4.5.0
    directory-1.3.6.2 doclayout-0.4.0.1-Aa9Zf4wVi0MFo9zTdw0EXU
    extra-1.7.14-DtzIfRYPdKwKG7ww90MJHk
    file-embed-0.0.15.0-FF5xUPWKaB3GI64c6hgPnn filepath-1.4.2.1
    hashtables-1.3.1-84nsK4XruTlGqp0dKd43Ml
    megaparsec-9.5.0-CWTPClkOc737zJlCqXNnOh
    microlens-0.4.13.1-AoR6D5midYZB5ErWoiySs4
    microlens-th-0.4.3.14-AKNvIwdJVYaDQVlM4liVo5 mtl-2.2.2
    pager-0.1.1.0-Egd8l35HOcPBNM5H6W1IFh
    parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB
    pretty-simple-4.1.2.0-Iea4iCByCf45jTFj6DQaNR
    regex-tdfa-1.3.2.2-I0UrgtK2N0gKpXS2O34Vp5
    safe-0.3.21-G7DEioSbQCk6KFz8UxAFz4
    tabular-0.2.2.8-3mznlUNrnmF8EH6LDY9YkX
    tasty-1.4.3-JF29wrJOMmrECfdI5igSTp
    tasty-hunit-0.10.1-A6hHO1UofNAH4jbPwWWOw0 template-haskell-2.17.0.0
    terminal-size-0.3.4-35v8zhylKTKAMnavZT32Cm text-1.2.5.0
    text-ansi-0.2.1.1-2rhjgYd7s1E97GXfetwOjq time-1.9.3
    timeit-2.0-13BYXbUXu2MJzbvDZuPEww transformers-0.5.6.2
    uglymemo-0.1.0.1-K7bsHpbExS57pk9A4akql7
    unordered-containers-0.2.20-JUpj03e9UBE4KYc3X7i8JW
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

